質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.48%
Laravel

LaravelとはTaylor Otwellによって開発された、オープンソースなPHPフレームワークです。Laravelはシンプルで表現的なシンタックスを持ち合わせており、ウェブアプリケーション開発の手助けをしてくれます。

PHP

PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

Laravel 5

Laravel 5は、PHPフレームワークLaravelの最新バージョンで、2014年11月に発表予定です。ディレクトリ構造がが現行版より大幅に変更されるほか、メソッドインジェクションやFormRequestの利用が可能になります。

Q&A

解決済

1回答

5154閲覧

laravelでの障害に困っています

onceupon05

総合スコア13

Laravel

LaravelとはTaylor Otwellによって開発された、オープンソースなPHPフレームワークです。Laravelはシンプルで表現的なシンタックスを持ち合わせており、ウェブアプリケーション開発の手助けをしてくれます。

PHP

PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

Laravel 5

Laravel 5は、PHPフレームワークLaravelの最新バージョンで、2014年11月に発表予定です。ディレクトリ構造がが現行版より大幅に変更されるほか、メソッドインジェクションやFormRequestの利用が可能になります。

0グッド

0クリップ

投稿2016/07/07 09:25

laravelの学習を「ララ帳」というサイトを使用して学習しております。

その中で、16回目のセクションで、障害が発生して解決できませんでしたので質問をしております。

障害の詳細は、laravelを実行する際に「php artisan serve」を実行した際に以下のようなエラーメッセージが出力されます。15回目までは問題なくサーバを起動させることができていたので、16回目のどこかが原因であると考えております。

障害の内容は、以下です。
「PHP Fatal error: Cannot redeclare composerRequire08927e2e54f818fe855047530583b9f5() (previously declared in /Users/username/MyVagrant/myLaravelTest/config/vendor/composer/autoload_real.php:64) in /Users/username/MyVagrant/myLaravelTest/config/vendor/composer/autoload_real.php on line 71」

「autoload_real.php」に同名の関数を複数宣言していることが原因であると考えましたが、「autoload_real.php」にはそのような箇所は見受けられませんでした。
「autoload_real.php」のソースは以下です。

php

1<?php 2// autoload_real.php @generated by Composer 3 4class ComposerAutoloaderInit08927e2e54f818fe855047530583b9f5 5{ 6 7 private static $loader; 8 9 public static function loadClassLoader($class) 10 { 11 if ('Composer\Autoload\ClassLoader' === $class) { 12 require __DIR__ . '/ClassLoader.php'; 13 } 14 } 15 16 public static function getLoader() 17 { 18 if (null !== self::$loader) { 19 return self::$loader; 20 } 21 22 spl_autoload_register(array('ComposerAutoloaderInit08927e2e54f818fe855047530583b9f5', 'loadClassLoader'), true, true); 23 self::$loader = $loader = new \Composer\Autoload\ClassLoader(); 24 spl_autoload_unregister(array('ComposerAutoloaderInit08927e2e54f818fe855047530583b9f5', 'loadClassLoader')); 25 26 $useStaticLoader = PHP_VERSION_ID >= 50600 && !defined('HHVM_VERSION'); 27 if ($useStaticLoader) { 28 require_once __DIR__ . '/autoload_static.php'; 29 30 call_user_func(\Composer\Autoload\ComposerStaticInit08927e2e54f818fe855047530583b9f5::getInitializer($loader)); 31 } else { 32 $map = require __DIR__ . '/autoload_namespaces.php'; 33 foreach ($map as $namespace => $path) { 34 $loader->set($namespace, $path); 35 } 36 37 $map = require __DIR__ . '/autoload_psr4.php'; 38 foreach ($map as $namespace => $path) { 39 $loader->setPsr4($namespace, $path); 40 } 41 42 $classMap = require __DIR__ . '/autoload_classmap.php'; 43 if ($classMap) { 44 $loader->addClassMap($classMap); 45 } 46 } 47 48 $loader->register(true); 49 50 if ($useStaticLoader) { 51 $includeFiles = Composer\Autoload\ComposerStaticInit08927e2e54f818fe855047530583b9f5::$files; 52 } else { 53 $includeFiles = require __DIR__ . '/autoload_files.php'; 54 } 55 foreach ($includeFiles as $fileIdentifier => $file) { 56 composerRequire08927e2e54f818fe855047530583b9f5($fileIdentifier, $file); 57 } 58 59 return $loader; 60 } 61} 62 63function composerRequire08927e2e54f818fe855047530583b9f5($fileIdentifier, $file) 64{ 65 if (empty($GLOBALS['__composer_autoload_files'][$fileIdentifier])) { 66 require $file; 67 68 $GLOBALS['__composer_autoload_files'][$fileIdentifier] = true; 69 } 70} 71

同様の問題に直面したことがある方や、案があればご教授頂きたいです。
よろしくお願いします。
実行環境はOS X EL Capitan、laravelのバージョンは5.2です。

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

ベストアンサー

「myLaravelTest」というのがプロジェクトルートですよね。
エラーメッセージを見ると何故かconfigディレクトリ下にvendor/以下が存在しているように見えます。
vendor/以下はプロジェクトルート直下に一つだけあるのが普通です。
myLaravelTest/vendor/ 以外にvendor/があるとしたら間違いです。
一旦プロジェクトルート直下のものも含め、vendor/とcomposer.lockファイルをすべて削除し、
myLaravelTestディレクトリ内でcomposer updateしてみてください。

投稿2016/07/07 15:16

romiogaku

総合スコア546

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

onceupon05

2016/07/08 01:10

動きました!ありがとうございます!
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.48%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問